%define pkg_name        Unicode-Collate
%define pkg_version     0.52
%define rpm_pkg_version 0.52
%define rpm_pkg_release 28.n0i.2

Summary:       Unicode Collation Algorithm
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0
Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SADAHIRO/%{pkg_name}-%{pkg_version}.tar.gz

# BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(File::Spec)}
%{!?_without_test:BuildRequires: perl(Test)}


%description
This module is an implementation of Unicode Technical Standard #10 (UTS #10)
"Unicode Collation Algorithm."


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{__perl} enableXS
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:0.52-28.n0i.2
- version 0.52
- override core edition with this XS build

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.40-1.n0i.1
- version 0.40
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
